## aselect-perl 2.0~2

=== etc/fragments/Makefile ===
# $Id: Makefile 32426 2010-09-10 11:50:10Z wsl $
# this Makefile needs caspar-20020313.tar.gz (or higher).  get it from
# http://mdcc.cx/pub/caspar/ .

csp_DIR = /srv/aselect/fragments/

csp_UHOST = pichu

include caspar/mk/caspar.mk

check:
	@echo 'Checking files...' && find -type f -name \*xml -exec xmllint --noout {} + && echo Ok.

=== etc/templates/Makefile ===
# $Id: Makefile 32386 2010-09-07 13:13:20Z wsl $
# this Makefile needs caspar-20020313.tar.gz (or higher).  get it from
# http://mdcc.cx/pub/caspar/ .

csp_DIR = /srv/aselect/templates/

csp_UHOST = pichu

include caspar/mk/caspar.mk

check:
	@echo 'Checking files...' && find -type f -name \*xml -exec xmllint --noout {} + && echo Ok.

## aselect-perl 2.1-1

=== debian/changelog ===
aselect-perl (2.1-1) stable; urgency=low

  * (server) Fix CAS ticket encoding

 -- Wessel Dankers <wsl@fruit.je>  Fri, 14 Sep 2012 16:48:19 +0200

aselect-perl (2.0-1) stable; urgency=low

  * (server) Fix configuration file parsing

 -- Wessel Dankers <wsl@fruit.je>  Wed, 30 Nov 2011 14:50:34 +0100

aselect-perl (2.0~25-1) stable; urgency=low

  * (server) Set correct status code on http errors
  * (server) Don't set no-store multiple times
  * (server) Set X-Content-Type-Options header
  * (server) Set Strict-Transport-Security header

 -- Wessel Dankers <wsl@fruit.je>  Wed, 30 Nov 2011 13:18:50 +0100

aselect-perl (2.0~24-1) stable; urgency=low

  * (server) Add remember default setting
  * (server) Better separate UI and WS logic

 -- Wessel Dankers <wsl@fruit.je>  Thu, 17 Nov 2011 19:43:22 +0100

aselect-perl (2.0~23-1) stable; urgency=low

  * (server) Do not hardcode continue page

 -- Wessel Dankers <wsl@fruit.je>  Wed, 16 Nov 2011 16:49:44 +0100

aselect-perl (2.0~22-2) stable; urgency=low

  * Add replace/breaks fields to enable upgrades from <= 1.1.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 15 Nov 2011 10:40:17 +0100

aselect-perl (2.0~22-1) stable; urgency=low

  * (server) Add continue page
  * (server) Consistent boolean parameter parsing

 -- Wessel Dankers <wsl@fruit.je>  Mon, 14 Nov 2011 11:38:08 +0100

aselect-perl (2.0~21-1) stable; urgency=low

  * More robust URL handling
  * (server) More robust error handling

 -- Wessel Dankers <wsl@fruit.je>  Fri, 11 Nov 2011 10:15:07 +0100

aselect-perl (2.0~20-1) stable; urgency=low

  * (server) Add option to login without starting an SSO session

 -- Wessel Dankers <wsl@fruit.je>  Sat, 05 Nov 2011 12:52:22 +0100

aselect-perl (2.0~19-1) stable; urgency=low

  * (server) Fix logout warnings
  * (server) Frame killer

 -- Wessel Dankers <wsl@fruit.je>  Tue, 01 Nov 2011 13:24:08 +0100

aselect-perl (2.0~18-1) stable; urgency=low

  * (server) Bugfixes

 -- Wessel Dankers <wsl@fruit.je>  Thu, 20 Oct 2011 15:04:26 +0200

aselect-perl (2.0~17-1) stable; urgency=low

  * (server) Implement URL restrictions for unsigned requests
  * (server) Supply login information in a uniform way to templates

 -- Wessel Dankers <wsl@fruit.je>  Wed, 19 Oct 2011 17:31:04 +0200

aselect-perl (2.0~16-1) stable; urgency=low

  * (server) Complete renew handling
  * (server) Supply nonce, session and settings sections in all xml

 -- Wessel Dankers <wsl@fruit.je>  Wed, 12 Oct 2011 20:37:08 +0200

aselect-perl (2.0~15-1) stable; urgency=low

  * (server) Fix logout sequence
  * (server) Slow down password brute-force attempts
  * (server) Fix error reporting for internal errors

 -- Wessel Dankers <wsl@fruit.je>  Mon, 19 Sep 2011 15:33:45 +0200

aselect-perl (2.0~14-1) stable; urgency=low

  * (server) Bugfixes

 -- Wessel Dankers <wsl@fruit.je>  Tue, 06 Sep 2011 13:00:36 +0200

aselect-perl (2.0~13-1) stable; urgency=low

  * (server) Language support for static content

 -- Wessel Dankers <wsl@fruit.je>  Mon, 05 Sep 2011 14:57:25 +0200

aselect-perl (2.0~12-1) stable; urgency=low

  * (server) Split out Status page into Status, Settings, Attributes
  * (server) Refactor UI::Request and UI::Login::Request
  * (server) Fix error messages
  * (server) Add static content capability

 -- Wessel Dankers <wsl@fruit.je>  Mon, 05 Sep 2011 13:01:25 +0200

aselect-perl (2.0~11-1) stable; urgency=low

  * (server) Unbreak server, broken by refactoring

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 30 Aug 2011 14:43:05 +0200

aselect-perl (2.0~10-1) stable; urgency=low

  * (server) Fix bug causing warnings to always be enabled

 -- Wessel Dankers <wsl@fruit.je>  Tue, 05 Jul 2011 15:21:12 +0200

aselect-perl (2.0~9-1) stable; urgency=low

  * (server) Refactor source code file layout
  * (server) Refactor session handling
  * (server) Refactor settings (spnego/warn) handling
  * (server) Sessions are now linked to IP address
  * (server) Session cookies now marked HttpOnly

 -- Wessel Dankers <wsl@fruit.je>  Tue, 05 Jul 2011 14:13:40 +0200

aselect-perl (2.0~8-1) stable; urgency=low

  * (server) Support for templates in different languages

 -- Wessel Dankers <wsl@fruit.je>  Tue, 24 May 2011 11:08:55 +0200

aselect-perl (2.0~7-1) stable; urgency=low

  * (server) Experimental CAS 2.0 support.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 17 May 2011 16:42:33 +0200

aselect-perl (2.0~6-1) stable; urgency=low

  * (server) Make SPNEGO browser detection configurable
  * (server) Catch Kerberos accounts that are not in LDAP
  * (server) Be more resistent to SPNEGO error conditions
  * (server) Tweak the internal ASN.1 AST to be reversible

 -- Wessel Dankers <wsl@fruit.je>  Wed, 30 Mar 2011 17:53:11 +0200

aselect-perl (2.0~5-1) stable; urgency=low

  * (server) Bugfixes for warn, xsl params, browser caching
  * (client) Bugfix for plus-encoding
  * (client) Add kill_ticket function

 -- Wessel Dankers <wsl@fruit.je>  Wed, 23 Mar 2011 17:22:10 +0100

aselect-perl (2.0~4-1) stable; urgency=low

  * Fix cancel, gateway functions
  * Common Crypto/LDAP code moved to Xyzzy

 -- Wessel Dankers <wsl@fruit.je>  Mon, 14 Mar 2011 13:59:49 +0100

aselect-perl (2.0~3-1) stable; urgency=low

  * Tweaks, bugletfixes, compatibility enhancements.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 11 Mar 2011 14:08:06 +0100

aselect-perl (2.0~2-1) stable; urgency=low

  * Support CAS renew/gateway/warn/logout
  * Use XSLT stylesheets

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Thu, 03 Mar 2011 10:06:08 +0100

aselect-perl (2.0~1-1) stable; urgency=low

  * Support for SPNEGO authentication
  * Support for CAS authentication

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Tue, 25 Jan 2011 10:13:40 +0100

aselect-perl (1.2-1) stable; urgency=low

  * Use signed tokens instead of a database.

 -- Wessel Dankers <W.S.L.Dankers@uvt.nl>  Wed, 23 Jun 2010 09:46:30 +0200

aselect-perl (1.1-1) stable; urgency=low

  * Remove debug log statement.



=== debian/control ===
Source: aselect-perl
Section: perl
Priority: extra
Maintainer: Wessel Dankers <wsl@fruit.je>
Build-Depends: cdbs (>= 0.4.73~), debhelper (>= 7), libscript-build-perl
Standards-Version: 3.9.1

Package: libaselect-common-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdigest-sha-perl
Replaces: libaselect-client-perl (<< 2.0~1-1)
Breaks: libaselect-client-perl (<< 2.0~1-1)
Description: Implementation of the A-Select protocol (common files)
 Perl modules to implement A-Select clients and servers.

Package: libaselect-client-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libaselect-common-perl (= ${binary:Version})
Description: Interface with the A-Select agent
 Perl modules to interface with the A-Select agent.

Package: libaselect-server-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libaselect-common-perl (= ${binary:Version}), libxyzzy-perl (>= 7), libxyzzy-perl (<< 8), libxyzzy-ldap-perl, libxyzzy-crypto-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl, libcrypt-openssl-bignum-perl, libgssapi-perl, makepasswd
Recommends: xyzzy
Description: Implementation of the A-Select server
 Perl modules to implement an A-Select server

=== debian/rules ===
#! /usr/bin/make -f

# $Id: rules 34894 2011-05-24 17:57:24Z wsl $
# $URL: https://svn.uvt.nl/its-id/trunk/package/aselect-perl/debian/rules $

DEB_BUILD_OPTIONS += nocheck

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-build.mk

## aselect-perl 2.2

=== debian/changelog ===
aselect-perl (2.2) stable; urgency=low

  * Switch to source format 3.0 (native)
  * (server) Reorganize component structure
  * (server) Rework SPNEGO detection
  * (server) LDAP option handling
  * (server) Implement HTTPSEverywhere option
  * (server) Add service ACL
  * (server) Workaround for http://bugs.debian.org/687712

 -- Wessel Dankers <wsl@fruit.je>  Fri, 28 Sep 2012 11:48:53 +0200

aselect-perl (2.1-1) stable; urgency=high

  * (server) Fix CAS ticket encoding

 -- Wessel Dankers <wsl@fruit.je>  Fri, 14 Sep 2012 16:48:19 +0200

## aselect-perl 2.3

=== debian/changelog ===
aselect-perl (2.3) stable; urgency=low

  * (server) Deal with requests without a User-Agent
  * (server) Document configuration options
  * (server) Set Content-Type on A-Select WS responses

 -- Wessel Dankers <wsl@fruit.je>  Thu, 06 Dec 2012 09:37:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Wessel Dankers <wsl@fruit.je>
 Build-Depends: cdbs (>= 0.4.73~), debhelper (>= 7), libscript-build-perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: libaselect-common-perl
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

# $Id: rules 34894 2011-05-24 17:57:24Z wsl $
# $URL: https://svn.uvt.nl/its-id/trunk/sources/aselect-perl/debian/rules $

DEB_BUILD_OPTIONS += nocheck

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-build.mk

## aselect-perl 2.4

=== debian/changelog ===
aselect-perl (2.4) stable; urgency=low

  * (server) Slightly improved error logging
  * (debian) Update copyright notices, build-dependencies, compression

 -- Wessel Dankers <wsl@fruit.je>  Wed, 20 Mar 2013 12:14:07 +0100

## aselect-perl 2.5

=== debian/changelog ===
aselect-perl (2.5) stable; urgency=low

  * (server) Fix bug that caused 'remember' button to get ignored

 -- Wessel Dankers <wsl@fruit.je>  Thu, 21 Mar 2013 16:31:42 +0100

## aselect-perl 2.6

=== debian/changelog ===
aselect-perl (2.6) stable; urgency=low

  * (server) Report successful login attempts
  * (server) Fix error on absent User-Agent header
  * (server) Fix URL acl pattern schema bug
  * (server) Add URL acl pattern that allows any port

 -- Wessel Dankers <wsl@fruit.je>  Tue, 16 Apr 2013 12:20:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: extra
 Maintainer: Wessel Dankers <wsl@fruit.je>
-Build-Depends: cdbs (>= 0.4.73~), debhelper (>= 7), libscript-build-perl
+Build-Depends: cdbs (>= 0.4.73~), debhelper (>= 7), libxyzzy-perl (>= 7), libxyzzy-perl (<< 8), libtest-xyzzy-perl, libxyzzy-ldap-perl, libxyzzy-crypto-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl, libcrypt-openssl-bignum-perl, libgssapi-perl
 Standards-Version: 3.9.3
 
 Package: libaselect-common-perl

=== debian/rules ===
#! /usr/bin/make -f

# $Id: rules 39102 2013-03-20 11:16:49Z wsl $
# $URL: https://svn.uvt.nl/its-id/trunk/sources/aselect-perl/debian/rules $

DEB_PERL_CHECK_FLAGS =
DEB_DH_BUILDDEB_ARGS_DEFAULT = -- -Zxz -z9

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-build.mk

## aselect-perl 2.7

=== debian/changelog ===
aselect-perl (2.7) stable; urgency=low

  * (server) Do not apply HttpsEverywhere to localhost URLs
  * (server) Use normal Convert::ASN1 (≥0.26) instead of our own copy
  * (server) Show warnings for expired passwords

 -- Wessel Dankers <wsl@fruit.je>  Mon, 22 Apr 2013 15:25:04 +0200

## aselect-perl 2.8

=== debian/changelog ===
aselect-perl (2.8) stable; urgency=low

  * (server) Fix missing "uid" method exception

 -- Wessel Dankers <wsl@fruit.je>  Mon, 10 Nov 2014 11:43:16 +0100

## aselect-perl 2.9

=== debian/changelog ===
aselect-perl (2.9) stable; urgency=medium

  * (server) Set Cache-Control: private field
  * (server) Fix ‘Use of uninitialized value in string eq’ errors

 -- Wessel Dankers <wsl@fruit.je>  Fri, 21 Nov 2014 11:21:57 +0100

## aselect-perl 2.10

=== debian/changelog ===
aselect-perl (2.10) stable; urgency=medium

  * (server) Workaround for die-in-destructor bug in GSSAPI library

 -- Wessel Dankers <wsl@fruit.je>  Thu, 02 Jul 2015 15:37:06 +0200

## aselect-perl 2.11

=== debian/changelog ===
aselect-perl (2.11) stable; urgency=medium

  * (server) Log attempts to use unregistered service URLs
  * (server) Allow for multiple attribute definitions with the same name

 -- Wessel Dankers <wsl@uvt.nl>  Fri, 02 Oct 2015 13:33:27 +0200

=== debian/control ===
Source: aselect-perl
Section: perl
Priority: extra
Maintainer: Wessel Dankers <wsl@fruit.je>
Build-Depends: debhelper (>= 7), libxyzzy-perl (>= 7), libxyzzy-perl (<< 8), libtest-xyzzy-perl, libxyzzy-ldap-perl, libxyzzy-crypto-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl, libcrypt-openssl-bignum-perl, libgssapi-perl
Standards-Version: 3.9.3

Package: libaselect-common-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdigest-sha-perl
Replaces: libaselect-client-perl (<< 2.0~1-1)
Breaks: libaselect-client-perl (<< 2.0~1-1)
Description: Implementation of the A-Select protocol (common files)
 Perl modules to implement A-Select clients and servers.

Package: libaselect-client-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libaselect-common-perl (= ${binary:Version})
Description: Interface with the A-Select agent
 Perl modules to interface with the A-Select agent.

Package: libaselect-server-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libaselect-common-perl (= ${binary:Version}), libxyzzy-perl (>= 7), libxyzzy-perl (<< 8), libxyzzy-ldap-perl, libxyzzy-crypto-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl, libcrypt-openssl-bignum-perl, libconvert-asn1-perl (>= 0.26), libgssapi-perl, makepasswd
Recommends: xyzzy
Description: Implementation of the A-Select server
 Perl modules to implement an A-Select server

## aselect-perl 2.12

=== debian/changelog ===
aselect-perl (2.12) stable; urgency=medium

  * (server) make /proxyValidate behave equivalently to /serviceValidate

 -- Wessel Dankers <wsl@uvt.nl>  Wed, 20 Jan 2016 15:35:35 +0100

## aselect-perl 2.13

=== debian/changelog ===
aselect-perl (2.13) stable; urgency=medium

  * (server) Use HTTP 303 redirects instead of 302.

 -- Wessel Dankers <wsl@uvt.nl>  Tue, 06 Dec 2016 16:55:17 +0100

## aselect-perl 2.14

=== debian/changelog ===
aselect-perl (2.14) stable; urgency=medium

  * (server) Simplify the GSSAPI calls so we can skirt around
    https://rt.cpan.org/Public/Bug/Display.html?id=121873
  * (server) Compatibility fixes for stretch.

 -- Wessel Dankers <wsl@uvt.nl>  Thu, 03 Aug 2017 16:11:58 +0200

=== debian/control ===
Source: aselect-perl
Section: perl
Priority: extra
Maintainer: Wessel Dankers <wsl@fruit.je>
Build-Depends: debhelper (>= 7),
	libmodule-build-perl,
	libxyzzy-perl (>= 7), libxyzzy-perl (<< 8),
	libtest-xyzzy-perl,
	libxyzzy-ldap-perl,
	libxyzzy-crypto-perl,
	libcrypt-openssl-x509-perl,
	libcrypt-openssl-rsa-perl,
	libcrypt-openssl-bignum-perl,
	libgssapi-perl,
Standards-Version: 3.9.3

Package: libaselect-common-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdigest-sha-perl
Replaces: libaselect-client-perl (<< 2.0~1-1)
Breaks: libaselect-client-perl (<< 2.0~1-1)
Description: Implementation of the A-Select protocol (common files)
 Perl modules to implement A-Select clients and servers.

Package: libaselect-client-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libaselect-common-perl (= ${binary:Version})
Description: Interface with the A-Select agent
 Perl modules to interface with the A-Select agent.

Package: libaselect-server-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
	libaselect-common-perl (= ${binary:Version}),
	libxyzzy-perl (>= 7), libxyzzy-perl (<< 8),
	libxyzzy-ldap-perl,
	libxyzzy-crypto-perl,
	libcrypt-openssl-x509-perl,
	libcrypt-openssl-rsa-perl,
	libcrypt-openssl-bignum-perl,
	libconvert-asn1-perl (>= 0.26),
	libgssapi-perl,
	makepasswd,
Recommends: xyzzy
Description: Implementation of the A-Select server
 Perl modules to implement an A-Select (and CAS) server

=== debian/rules ===
#! /usr/bin/make -f

# $Id: rules 42268 2014-09-22 14:05:34Z wsl $
# $URL: https://svn.uvt.nl/its-id/trunk/sources/aselect-perl/debian/rules $

%:
	exec dh $@

override_dh_builddeb:
	exec dh_builddeb -- -Zxz -z9

## aselect-perl 2.15

=== debian/changelog ===
aselect-perl (2.15) stable; urgency=medium

  * (server) Apache mod_fcgi does not send PATH_TRANSLATED so
    don't try to include that in error messages.

 -- Wessel Dankers <wsl@uvt.nl>  Mon, 25 Jun 2018 16:26:08 +0200

## aselect-perl 2.16

=== debian/changelog ===
aselect-perl (2.16) stable; urgency=medium

  * (server) Do not send a X-Frame-Options header; it's superseded
    by Content-Security-Policy but that one depends on what's in the
    configured stylesheets.

 -- Wessel Dankers <wsl@uvt.nl>  Thu, 27 Sep 2018 14:04:38 +0200
